Loading...
Searching...
No Matches
pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry Class Reference

radiusSearchLoopkupEntry entry for radius search lookup vector More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/nn/organized_neighbor_search.h>`

## Public Member Functions

| radiusSearchLoopkupEntry ()
| Empty constructor
void | defineShiftedSearchPoint (int x_shift, int y_shift)
| Define search point and calculate squared distance.
bool | operator< (const radiusSearchLoopkupEntry &rhs_arg) const
| Operator< for comparing radiusSearchLoopkupEntry instances with each other.

## Public Attributes

int | x_diff_
int | y_diff_
int | squared_distance_

## Detailed Description

template<typename PointT>
class pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry

radiusSearchLoopkupEntry entry for radius search lookup vector

Note
  This class defines entries for the radius search lookup vector

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 203 of file organized_neighbor_search.h.

## Constructor & Destructor Documentation

## radiusSearchLoopkupEntry()

template<typename PointT >

pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::radiusSearchLoopkupEntry | ( |  | ) |

inline

Empty constructor

Definition at line 208 of file organized_neighbor_search.h.

## Member Function Documentation

## defineShiftedSearchPoint()

template<typename PointT >

void pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::defineShiftedSearchPoint | ( | int | x_shift,
|  | int | y_shift
| ) |  |

inline

Define search point and calculate squared distance.

Parameters

  x_shift | shift in x dimension
  y_shift | shift in y dimension

Definition at line 217 of file organized_neighbor_search.h.

References pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::squared_distance_, pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::x_diff_, and pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::y_diff_.

## operator<()

template<typename PointT >

bool pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::operator< | ( | const radiusSearchLoopkupEntry & | rhs_arg | ) | const

inline

Operator< for comparing radiusSearchLoopkupEntry instances with each other.

Definition at line 226 of file organized_neighbor_search.h.

References pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::squared_distance_.

## Member Data Documentation

## squared_distance_

template<typename PointT >

int pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::squared_distance_

Definition at line 235 of file organized_neighbor_search.h.

Referenced by pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::defineShiftedSearchPoint(), and pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::operator<().

## x_diff_

template<typename PointT >

int pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::x_diff_

Definition at line 233 of file organized_neighbor_search.h.

Referenced by pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::defineShiftedSearchPoint().

## y_diff_

template<typename PointT >

int pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::y_diff_

Definition at line 234 of file organized_neighbor_search.h.

Referenced by pcl::OrganizedNeighborSearch< PointT >::radiusSearchLoopkupEntry::defineShiftedSearchPoint().

The documentation for this class was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/nn/organized_neighbor_search.h